Bug 1299121 - [abrt] texlive-luatex-bin: luaH_getint(): luatex killed by SIGSEGV
[abrt] texlive-luatex-bin: luaH_getint(): luatex killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:966b4183b03442b1ff9b66ba83f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 23:39 EST by Marek Marczykowski
Modified: 2016-12-20 12:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:56:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.96 KB, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: cgroup (191 bytes, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: core_backtrace (13.31 KB, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: dso_list (4.84 KB, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: environ (3.46 KB, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: maps (22.59 KB, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: mountinfo (3.23 KB, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: open_fds (288 bytes, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: proc_pid_status (996 bytes, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details
File: var_log_messages (245 bytes, text/plain)
2016-01-15 23:39 EST, Marek Marczykowski
no flags Details

  None (edit)
Description Marek Marczykowski 2016-01-15 23:39:01 EST
Description of problem:
Tried to create PDF using context, got "mtx-context     | fatal error: no return code, message: luatex: execution interruptedCreating PDF failed."

Version-Release number of selected component:
texlive-luatex-bin-svn31084.0-17.20140525_r34255.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        luatex --fmt=/home/user/luatex-cache/context/c8ffba5311d077c16376bba44d5fa793/formats/luatex/cont-en --interaction=batchmode --jobname=mm_01_01_2016 --lua=/home/user/luatex-cache/context/c8ffba5311d077c16376bba44d5fa793/formats/luatex/cont-en.lui --no-parse-first-line --c:batchmode --c:currentrun=1 --c:directives=logs.target=file --c:fulljobname=/home/user/Invoices/mm_01_01_2016.tex --c:input=/home/user/Invoices/mm_01_01_2016.tex --c:kindofrun=1 --c:maxnofruns=8 --c:noconsole cont-yes.mkiv
crash_function: luaH_getint
executable:     /usr/bin/luatex
global_pid:     974
kernel:         4.1.13-8.pvops.qubes.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 luaH_getint at ../../../libs/lua52/lua-5.2.3/src/ltable.c:454
 #2 luaH_get at ../../../libs/lua52/lua-5.2.3/src/ltable.c:490
 #3 lua_rawget at ../../../libs/lua52/lua-5.2.3/src/lapi.c:644
 #4 getpdf at ../../../texk/web2c/luatexdir/lua/lpdflib.c:592
 #5 luaD_precall at ../../../libs/lua52/lua-5.2.3/src/ldo.c:319
 #6 luaD_call at ../../../libs/lua52/lua-5.2.3/src/ldo.c:401
 #7 callTM at ../../../libs/lua52/lua-5.2.3/src/lvm.c:102
 #8 luaV_gettable at ../../../libs/lua52/lua-5.2.3/src/lvm.c:127
 #9 luaV_execute at ../../../libs/lua52/lua-5.2.3/src/lvm.c:588
 #10 luaD_call at ../../../libs/lua52/lua-5.2.3/src/ldo.c:402
Comment 1 Marek Marczykowski 2016-01-15 23:39:08 EST
Created attachment 1115371 [details]
File: backtrace
Comment 2 Marek Marczykowski 2016-01-15 23:39:10 EST
Created attachment 1115372 [details]
File: cgroup
Comment 3 Marek Marczykowski 2016-01-15 23:39:11 EST
Created attachment 1115373 [details]
File: core_backtrace
Comment 4 Marek Marczykowski 2016-01-15 23:39:13 EST
Created attachment 1115374 [details]
File: dso_list
Comment 5 Marek Marczykowski 2016-01-15 23:39:15 EST
Created attachment 1115375 [details]
File: environ
Comment 6 Marek Marczykowski 2016-01-15 23:39:16 EST
Created attachment 1115376 [details]
File: exploitable
Comment 7 Marek Marczykowski 2016-01-15 23:39:18 EST
Created attachment 1115377 [details]
File: limits
Comment 8 Marek Marczykowski 2016-01-15 23:39:20 EST
Created attachment 1115378 [details]
File: maps
Comment 9 Marek Marczykowski 2016-01-15 23:39:21 EST
Created attachment 1115379 [details]
File: mountinfo
Comment 10 Marek Marczykowski 2016-01-15 23:39:23 EST
Created attachment 1115380 [details]
File: namespaces
Comment 11 Marek Marczykowski 2016-01-15 23:39:24 EST
Created attachment 1115381 [details]
File: open_fds
Comment 12 Marek Marczykowski 2016-01-15 23:39:26 EST
Created attachment 1115382 [details]
File: proc_pid_status
Comment 13 Marek Marczykowski 2016-01-15 23:39:27 EST
Created attachment 1115383 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:59:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:56:19 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.